#ifndef SCRIPT_H_INCLUDED
#define SCRIPT_H_INCLUDED

///**************************************************

typedef struct {
	DWORD	Model;
	DWORD	RomLoad;
	DWORD	RamSize;
	DWORD	RamSizeExt;
	DWORD	CfgFlags;	// CFG_BIGCRT | CFG_NATURAL_SPEED
} OVERRIDES;

extern OVERRIDES	Override85;
extern int			ORline;
extern BYTE			*ORbuf, *ORptr;
extern BOOL			KeepIni, DoExit;
extern long	scriptWndX, scriptWndY, scriptWndW, scriptWndH, scriptWndMisc;	// for intialization ONLY!  NOT updated! (read at iR_READ_INI, use at iR_STARTUP)
extern long	scriptWnd;
extern BYTE	*RSkeybuf;
extern BOOL	ORclick;

#define	WAITUNTIL_DONT		0
#define WAITUNTIL_SECONDS	1
#define	WAITUNTIL_IDLE		2
#define	WAITUNTIL_INPUT		3
#define	WAITUNTIL_ALPHA		4
#define	WAITUNTIL_GRAPH		5
#define	WAITUNTIL_CRTUP		6
#define	WAITUNTIL_KEY		7
#define	WAITUNTIL_CLICK		8
#define	WAITUNTIL_DISK		9

#define	RECDISK_NONE	0
#define	RECDISK_NEW		1
#define	RECDISK_LOAD	2
#define	RECDISK_DELETE	3
#define	RECDISK_RENAME	4

#define	RECFILE_TYPE	0
#define	RECFILE_IMPORT	1
#define	RECFILE_EXPORT	2

extern BYTE	IO_CRTCTL;
#define IsGraphics() (IO_CRTCTL & 128)

void ScriptStartup(char *pCmd);
void ProcessScript(int from);
void RelocateScript();
void GetScriptListRect(RECT *r);
BOOL ReadROMfile(int sc, int tla, int unit, char *lifN);	// in devDISK.c
void RecordScriptKey(BYTE k);
void RecordScriptStart(char *pCmd);
void RecordScriptExit();
void RecordFlushKeybuf();
void RecordBoot();
void RecordDisk(int action, int msus, int folder, char* name, char* name2);
void RecordFile(int action, char* name, char* name2);
void RecordOptions(DWORD oldflags);
void RecordCatAll();
BOOL IsScriptWaitingOnKey(int k);

#endif // SCRIPT_H_INCLUDED
